You are not logged in.

#1 2012-10-07 19:29:53

ubunchu
Member
Registered: 2012-05-01
Posts: 175

[SOLVED] fglrx not working, tearing, after update

EDIT: I'm guessing it was because the new "linux" version conflicted with the catalyst. I have -Syu'd again some hours later, there was an update to the catalyst. That solved it.


Update done yesterday, and installed some packages, pacman-log:
http://pastebin.com/1TaAJm2j

And since today I get tearing and poor graphics performance.
I'm guessing the radeon module loaded instead of the fglrx.

[ubunchu@ubunchu ~]$ dmesg | grep radeon
[    6.461879] [drm] VGACON disable radeon kernel modesetting.
[    6.463150] [drm] Initialized radeon 1.33.0 20080528 for 0000:07:00.0 on minor 0
[ubunchu@ubunchu ~]$ dmesg | grep fglrx
[    0.940223] fglrx: disagrees about version of symbol module_layout
[    1.000933] fglrx: disagrees about version of symbol module_layout
[    6.493177] fglrx: disagrees about version of symbol module_layout
[    6.509716] fglrx: disagrees about version of symbol module_layout
[   14.149160] fglrx: disagrees about version of symbol module_layout

The wiki sais that I should blacklist radeon, and enable/load fglrx.
https://wiki.archlinux.org/index.php/AT … emd_method

But in /etc/modules-load.d/ there are no files to be edited.

Did I miss something? That's not the problem?
Thanks in advance,
Cheers!

Last edited by ubunchu (2012-10-07 23:35:57)


Don't forget to mark as [SOLVED].

Offline

Board footer

Powered by FluxBB